<section class="pt-4">
    <div class="container">
        <div class="row">
            <div class="container"> <a [routerLink]="['/home']" class=" font-firma-semibold mb-4"
                    style="font-size: 14px;">
                    < Back </a>
            </div>
            <div class="col-md-12 mt-4 mb-4">
                <div class="page-title-h5 d-flex align-items-center">

                    <h5 class="my-0">Deal By Top Stores</h5>
                    <div class="dropdown ml-auto">
                        <a class="btn btn-secondary dropdown-toggle btn-sm border-white-btn" href="#" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Sort by: <span class="text-theme">{{_DataService.DealsSortOrder}}</span> &nbsp;&nbsp;
                        </a>
                        <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" (click)="_SortBy('Popularity')">Popularity</a>
                            <a class="dropdown-item" (click)="_SortBy('Discount')">Discount</a>
                            <a class="dropdown-item" (click)="_SortBy('Total Savings')">Total Savings</a>
                            <a class="dropdown-item" (click)="_SortBy('Newest')">Newest</a>
                            <a class="dropdown-item" (click)="_SortBy('Amount')">Amount</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
           <div class="col-xl-12 col-sm-12">
                <div class="row">
                    <div class="col-xl-4 col-sm-6 mb-4" *ngFor="let TItem of _DataService._DealsMerchant">
                        <a [routerLink]="TItem.IsSoldout ? null : ['/buydeal/', TItem.ReferenceKey]">
                            <div class="custom-card shadow-sm h-100">
                                <span class="dealtimer">
                                    <i class="icofont-clock-time"></i>
                                    <countdown [config]=" TItem.CountdownConfig"></countdown>
                                </span>
                                <div class="custom-card-image">
                                    <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    
                                </div>
                                <div class="p-3 pt-4">
                                    <div class="custom-card-body">
                                        <h6 class="mb-3 "><a class="text-black text-limit-2">{{TItem.Title}}</a>
                                        </h6>
                                        <p class="text-gray text-limit-1"> <span class=" cityname"
                                                *ngIf="_DataService.ActiveCity == ''">{{TItem.CityName}}</span>
                                            {{TItem.Address}}</p>
                                    </div>
                                    <div class="custom-card-footer mb-2">
                                        <span
                                            class="  float-right text-medium discount-per">{{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                                            %
                                            off</span>
                                        <span class="text-black text-medium actualprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.SellingPrice
                                            | number: "1.0-1" || "--"}} </span>
                                        <span class="text-black sellingprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.ActualPrice
                                            | number: "1.0-1" || "--"}} </span>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
</section>

<div class="search-results" infinite-scroll [infiniteScrollDistance]="scrollDistance"
    [infiniteScrollUpDistance]="scrollUpDistance" [infiniteScrollThrottle]="throttle" (scrolled)="onScrollDown()"
    (scrolledUp)="onUp()"></div>